### Method

# Gimp Config serialize_to_parasite

since: 3.0

#### Declaration [src]

    GimpParasite*
    gimp_config_serialize_to_parasite (
      GimpConfig* config,
      const gchar* parasite_name,
      guint parasite_flags,
      gpointer data
    )

#### Description [src]

Serializes the object properties of `config` to a `GimpParasite`.

Available since: 3.0

#### Parameters

`parasite_name`

  Type: `const gchar*`

  The new parasite’s name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`parasite_flags`

  Type: `guint`

  The new parasite’s flags.

`data`

  Type: `gpointer`

  User data passed to the serialize implementation.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `GimpParasite`

The newly allocated parasite.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.